Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.console.extensibility
Class Extension

    java.lang.Object
      |
      +--weblogic.management.console.extensibility.internal.ExtensionInternals
            |
            +--weblogic.management.console.extensibility.Extension

public abstract class Extension
extends weblogic.management.console.extensibility.internal.ExtensionInternals

An abstract base class to be implemented by extension authors.

Implementations of this class must be referenced in the web.xml descriptor for the extension web app like this:

     <context-param>
      <param-name>
                   weblogic.console.extension.class
      </param-name>
      <param-value>
                   com.mycompany.MyWebLogicConsoleExtension
      </param-value>
     </context-param>

When the web app is deployed, an instance of the named Extension class is created and its initialize() method is called. At this point, the ExtensibleTagListener provided by the Extension will begin to receive callbacks from the console's JSP tag handlers.

Please note: if you find it necessary to have additional methods (even private methods) in your implementation of this class, you must prefix their names them with an underscore ('_'). BEA reserves the right to add additional methods to this class in the future; the forward compatibility of your Extension class cannot be guaranteed unless you abide by this rule.

Author:
  Copyright 2001 BEA Systems. All Rights Reserved.

Constructor Summary
`Extension()`

Method Summary
`java.lang.String` | `getDescription(javax.servlet.jsp.PageContext context)` Returns additional description information to be displayed in the console for managing this extension.
`java.lang.String` | `getExtensionContentFor(weblogic.management.console.extensibility.ExtensibleTag tag)` Deprecated. This method has been replaced by the NavTreeExtension interface; implement that instead.
`java.lang.String` | `getExtensionVersion()` Returns a string describing the version of this extension.
`java.lang.String` | `getIcon()` Returns the url to an .gif or .jpg that to be displayed in the console to represent this extension.
`java.lang.String` | `getName(javax.servlet.jsp.PageContext context)` Returns the name to be displayed in the console for managing this extension.
`java.lang.String` | `getWeblogicServerVersion()` Returns the version of the weblogic server against which this extension was built.
`void` | `initialize()` Called by the Extension container exactly once after a new instance of the extension has been created and registered.

Methods inherited from class weblogic.management.console.extensibility.internal.ExtensionInternals
`getInitializationException, getServletContext, getWebApp, isActive`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Extension

    public Extension()

Method Detail

### initialize

    public void initialize()
                    throws java.lang.Exception

  Called by the Extension container exactly once after a new instance of the extension has been created and registered. This method is guaranteed to be called before any other methods are invoked on this Extension

  If this method throws an Exception, the extension will not be activated.

### getName

    public java.lang.String getName(javax.servlet.jsp.PageContext context)

  Returns the name to be displayed in the console for managing this extension. The PageContext parameter may be used to localize the display name. Implementation of this method is optional. If ommitted, the name displayed names is based on the extension's web application name.

### getDescription

    public java.lang.String getDescription(javax.servlet.jsp.PageContext context)

  Returns additional description information to be displayed in the console for managing this extension. The PageContext parameter may be used to localize the description. Implementation of this method is optional.

### getIcon

    public java.lang.String getIcon()

  Returns the url to an .gif or .jpg that to be displayed in the console to represent this extension. The url is relative to the extension web app's root. The expected size for the image is 16x16 pixels; it will be scaled to fit if necessary. Implementation of this method is optional.

### getWeblogicServerVersion

    public java.lang.String getWeblogicServerVersion()

  Returns the version of the weblogic server against which this extension was built. This value should be a string of the form x.y.z, e.g., 7.0.0.

  Implementation of this method is optional but highly reccommended. The extensibility mechanism will be backward compatible, but not necessarily forward compatiable. The console will use the version string to warn the user if they are installing an extension built for a later server version than the one they are running.

  To find out exactly what version of the server you have, simply `java weblogic.version`.

### getExtensionVersion

    public java.lang.String getExtensionVersion()

  Returns a string describing the version of this extension. Implementation of this method is optional. This value is only used for display purposes.

### getExtensionContentFor

    public java.lang.String getExtensionContentFor(weblogic.management.console.extensibility.ExtensibleTag tag)

  Deprecated. This method has been replaced by the NavTreeExtension interface; implement that instead.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference